#!/bin/bash

set -x

input_json=$1
num_iters=$2
output_folder=$3
use_label=$4
dataset_name=$5
output_csv_path=$6
num_process=$7
init_noise_level=$8
initialize_audio=$9
dpo=${10}
use_dpo=${11}
dpo_ckpt_path=${12}
supcon=${13}

# 
# /fs/nexus-projects/brain_project/aaai_2025/stable-audio-tools/$user_ft_3.safetensors

if [ "$use_dpo" = False ]; then
    python generate_augs_audio.py \
    --ckpt-path  /fs/nexus-projects/brain_project/aaai_2025/stable-audio-tools/$user_ft_2.safetensors \
    --model-config /fs/nexus-projects/brain_project/aaai_2025/stable-audio-tools/mod_config_false.json \
    --input_json $input_json \
    --num_iters $num_iters \
    --output_folder $output_folder \
    --use_label $use_label \
    --dataset_name $dataset_name \
    --output_csv_path $output_csv_path \
    --num_process $num_process \
    --init_noise_level $init_noise_level \
    --initialize_audio $initialize_audio \
    --dpo $dpo \
    --supcon $supcon
else
    python generate_augs_audio.py \
    --ckpt-path $dpo_ckpt_path \
    --model-config /fs/nexus-projects/brain_project/aaai_2025/stable-audio-tools/mod_config.json \
    --input_json $input_json \
    --num_iters $num_iters \
    --output_folder $output_folder \
    --use_label $use_label \
    --dataset_name $dataset_name \
    --output_csv_path $output_csv_path \
    --num_process $num_process \
    --init_noise_level $init_noise_level \
    --initialize_audio $initialize_audio \
    --dpo $dpo \
    --supcon $supcon
fi

# python generate_augs_audio.py \
# --pretrained-name stabilityai/stable-audio-open-1.0 \
# --input_json /fs/nexus-projects/brain_project/icml/acl_audio_rewrite/tut_urban/tut_$user.csv \
# --num_iters 2 \
# --output_folder /fs/nexus-projects/brain_project/aaai_2025/tut_synthetic/ \
# --use_label True \
# --dataset_name tut_urban \
# --output_csv_path /fs/nexus-projects/brain_project/aaai_2025/